Passer au contenu principal
GET
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
Lister les notes au niveau de l’organisation
curl --request GET \
  --url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "access_type": "enterprise",
      "body": "<string>",
      "created_at": 123,
      "folder_id": "<string>",
      "folder_path": "<string>",
      "is_enabled": true,
      "macro": "<string>",
      "name": "<string>",
      "note_id": "<string>",
      "org_id": "<string>",
      "pinned_repo": "<string>",
      "trigger": "<string>",
      "updated_at": 123
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Nécessite un compte de service disposant de l’autorisation ManageAccountKnowledge pour l’organisation spécifiée.

Autorisations

Authorization
string
header
requis

Identifiant de compte de service (préfixe : cog_)

Paramètres de requête

after
string | null
first
integer
défaut:100
Plage requise: 1 <= x <= 200
search
string | null
folder_path
string | null
pinned_repo
string | null

Réponse

Réponse réussie

items
KnowledgeNoteResponse · object[]
requis
end_cursor
string | null

Curseur permettant de récupérer la page suivante, ou None s’il s’agit de la dernière page.

has_next_page
boolean
défaut:false

Indique s’il existe d’autres éléments après cette page.

total
integer | null

Nombre total optionnel (peut être omis pour des raisons de performances).